%define oname hachoir-metadata

Name: python-module-%oname
Version: 1.3.3
Release: alt1

Summary: Program to extract metadata using Hachoir library
Group: Development/Python
License: GPLv2
Url: http://bitbucket.org/haypo/hachoir/wiki/hachoir-metadata
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %oname-%version.tar.gz

BuildArch: noarch
BuildPreReq: python-devel python-module-PyQt4

Requires: python-module-hachoir-core python-module-hachoir-parser

%description
hachoir-metadata extracts metadata from multimedia files: music,
picture, video, but also archives. It supports most common file formats:

* Archives: bzip2, gzip, zip, tar
* Audio: MPEG audio ("MP3"), WAV, Sun/NeXT audio, Ogg/Vorbis (OGG),
  MIDI, AIFF, AIFC, Real audio (RA)
* Image: BMP, CUR, EMF, ICO, GIF, JPEG, PCX, PNG, TGA, TIFF, WMF, XCF
* Misc: Torrent
* Program: EXE
* Video: ASF format (WMV video), AVI, Matroska (MKV), Quicktime (MOV),
  Ogg/Theora, Real media (RM)

It tries to give as much information as possible. For some file formats,
it gives more information than libextractor for example, such as the
RIFF parser, which can extract creation date, software used to generate
the file, etc. But hachoir-metadata cannot guess informations. The most
complex operation is just to compute duration of a music using frame
size and file size.

%package qt
Summary: Qt4 interface of hachoir-metadata
Group: Development/Python
Requires: %name = %version-%release

%description qt
hachoir-metadata extracts metadata from multimedia files: music,
picture, video, but also archives. It supports most common file formats.

This package contains Qt4 interface of hachoir-metadata.

%package -n %oname-gtk
Summary: PyGTK interface of hachoir-metadata
Group: File tools
Requires: %name = %version-%release

%description -n %oname-gtk
hachoir-metadata extracts metadata from multimedia files: music,
picture, video, but also archives. It supports most common file formats.

This package contains PyGTK interface of hachoir-metadata.

%prep
%setup

%build
%python_build

%install
%python_install

%files
%doc AUTHORS COPYING ChangeLog README PKG-INFO
%_bindir/%oname
%python_sitelibdir/*
%exclude %python_sitelibdir/hachoir_metadata/qt

%files qt
%_bindir/%oname-qt
%python_sitelibdir/hachoir_metadata/qt

%files -n %oname-gtk
%_bindir/%oname-gtk

%changelog
* Wed Aug 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.3-alt1
- Initial build for Sisyphus

